Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::EdgeData::EdgeGroup Struct Reference

A group of edges sharing the same vertex data. More...

`#include <OgreEdgeListBuilder.h>`

List of all members.

## Public Attributes

size_t | vertexSet
| The vertex set index that contains the vertices for this edge group.
const VertexData * | vertexData
| Pointer to vertex data used by this edge group.
EdgeList | edges
| The edges themselves.

## Detailed Description

A group of edges sharing the same vertex data.

Definition at line 77 of file OgreEdgeListBuilder.h.

## Member Data Documentation

EdgeList Ogre::EdgeData::EdgeGroup::edges

| The edges themselves. Definition at line 84 of file OgreEdgeListBuilder.h. Referenced by Ogre::MeshSerializerImpl::calcEdgeGroupSize(), Ogre::ShadowCaster::generateShadowVolume(), Ogre::MeshSerializerImpl::readEdgeList(), and Ogre::MeshSerializerImpl::writeEdgeList().

const VertexData* Ogre::EdgeData::EdgeGroup::vertexData

| Pointer to vertex data used by this edge group. Definition at line 82 of file OgreEdgeListBuilder.h. Referenced by Ogre::ShadowCaster::generateShadowVolume(), and Ogre::MeshSerializerImpl::readEdgeList().

size_t Ogre::EdgeData::EdgeGroup::vertexSet

| The vertex set index that contains the vertices for this edge group. Definition at line 80 of file OgreEdgeListBuilder.h. Referenced by Ogre::ShadowCaster::generateShadowVolume(), Ogre::MeshSerializerImpl::readEdgeList(), and Ogre::MeshSerializerImpl::writeEdgeList().

The documentation for this struct was generated from the following file:

- OgreEdgeListBuilder.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:53 2004